### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.iom.orb

# Class CP_IDConverter

java.lang.Object
com.sas.iom.orb.CP_IDConverter

@SASScope("ALL") @BinaryCompatibilityOnly public final class CP_IDConverter extends Object
A utility for converting between CP_IDs and Strings.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `cp_idToString(CP_ID cpid)`
  Convert a CP_ID to a String.
  `static boolean`
  `equals(CP_ID cp_id1, CP_ID cp_id2)`
  Compares to `CP_ID` objects for equality.
  `static CP_ID`
  `stringToCP_ID(String str)`
  Convert a String to a CP_ID.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### cp_idToString

    public static String cp_idToString(CP_ID cpid)
    Convert a CP_ID to a String. The resulting String will have the format 11111111-2222-3333-4444-444444444444 where 11111111 will be a hex representation of Data1, 2222 will be a hex representation of Data2, and so on.
    Parameters:
      `cpid` - the CP_ID to convert
    Returns:
      a String representation of the CP_ID

  - ### stringToCP_ID

    public static CP_ID stringToCP_ID(String str)
    Convert a String to a CP_ID. The input String should have the format 11111111-2222-3333-4444-444444444444 where 11111111 is a hex representation of Data1, 2222 is a hex representation of Data2, and so on. The input String can also begin with "DCE:".
    Parameters:
      `str` - the String to convert
    Returns:
      the CP_ID represented by the String

  - ### equals

    public static boolean equals(CP_ID cp_id1, CP_ID cp_id2)
    Compares to `CP_ID` objects for equality. Two `CP_ID` objects are equal if all their fields are equal.
    Parameters:
      `cp_id1` - `CP_ID` object to compare
      `cp_id2` - `CP_ID` object to compare
    Returns:
      `true` if the two `CP_ID` objects are equal